tigase.jaxmpp.gwt.client

## Class GwtSessionObject

- java.lang.Object
- - tigase.jaxmpp.core.client.AbstractSessionObject
  - - tigase.jaxmpp.gwt.client.GwtSessionObject

- All Implemented Interfaces:
    SessionObject, UserProperties, EventBusAware

      public class GwtSessionObject
      extends AbstractSessionObject

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GwtSessionObject.RestoringSessionException`

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.core.client.AbstractSessionObject

      `AbstractSessionObject.Entry`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.SessionObject

      `SessionObject.ClearedHandler, SessionObject.Scope`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.AbstractSessionObject

      `properties`

    - ### Fields inherited from interface tigase.jaxmpp.core.client.SessionObject

      `DOMAIN_NAME, NICKNAME, PASSWORD, RESOURCE, SERVER_NAME, USER_BARE_JID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GwtSessionObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `restore(String value)`
    `String` | `serialize()`
    `void` | `test()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.AbstractSessionObject

      `addClearedHandler, clear, clear, clear, getEventBus, getProperty, getProperty, getUserBareJid, getUserProperty, removeClearedHandler, setEventBus, setProperty, setProperty, setUserProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GwtSessionObject

          public GwtSessionObject()

  - ### Method Detail

    - #### restore

          public void restore(String value)
                       throws GwtSessionObject.RestoringSessionException

      Throws:
        `GwtSessionObject.RestoringSessionException`

    - #### serialize

          public String serialize()

    - #### test

          public void test()

Copyright © 2006–2016 Tigase. All rights reserved.